Subject: RE: [Sigtran] M3UA DATA message parameters order

From: "Munnaluru, Krishna" <[email-masked]>
Date: Fri, 10 Feb 2006 11:00:48 -0600

Thanks Chris.

I agree with the Network Appearance since it is explicitly given. I also
agree that the order will make it easier when one parameter value is
needed to process another parameter.

I am wondering why in the spec it suggests a MUST for DATA message and
not others. What was the intention?

Thanks,
Krishna

-----Original Message-----
From: Chris Benson [mailto:[email-masked]] 
Sent: Friday, February 10, 2006 10:54 AM
To: Munnaluru, Krishna
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA DATA message parameters order

Krishna,

A certain ordering of parameters is required under RFC3332 
when the value of one parameter is needed to understand the 
context/syntax of another parameter.

For DATA messsages, it is explicitly mandated in 3.3.1 that:

"Where the optional Network Appearance parameter is present, 
it must be the first parameter in the message as it defines
the format of thes Protocol Data field."

Although it would be possible to implement by reading all
parameters first and then interpreting them, this is not
what the RFC specifies. The specific ordering statement
quoted above is one of the "explicitly mandated" exceptions
to the more general 3.2 paragraph you quoted. 

With thanks, from Chris Benson.

On Fri, 10 Feb 2006, Munnaluru, Krishna wrote:

> Hi,
> 
>  
> 
> In section 3.2 the RFC3332 says:
> 
> "Where more than one parameter is included in a message, the
parameters
> may be in any order, except where explicitly mandated.  A receiver
> SHOULD accept the parameters in any order."
> 
>  
> 
> In section 3.3.1 Payload Data Message (DATA) it says:
> 
> "The following format MUST be used for the Data Message:"
> 
>  
> 
> I am wondering if the MUST in section 3.3.1 mandates the order of the
> parameters in the DATA message.  Other messages (for example DUNA)
does
> not have a MUST in it.
> 
>  
> 
> Could you please clarify?
> 
>  
> 
> Thanks,
> 
> Krishna
> 
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 10 Feb 2006 12:53:43 -0700

Krishna,

Munnaluru, Krishna wrote:                (Fri, 10 Feb 2006 11:00:48)
> not others. What was the intention?

The intention was to order the paramters in the DATA message.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/